:root {
    --sf-theme-color: #007aff
}

:host {
    position: relative;
    display: block;
    margin-left: auto;
    margin-right: auto;
    z-index: 1
}

.sf {
    margin-left: auto;
    margin-right: auto;
    position: relative;
    overflow: hidden;
    list-style: none;
    padding: 0;
    z-index: 1;
    display: block
}

.sf-vertical>.sf-wrapper {
    flex-direction: column
}

.sf-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 1;
    display: flex;
    transition-property: transform;
    transition-timing-function: var(--sf-wrapper-transition-timing-function, initial);
    box-sizing: content-box
}

.sf-android .sf-slide,
.sf-ios .sf-slide,
.sf-wrapper {
    transform: translateZ(0)
}

.sf-horizontal {
    touch-action: pan-y
}

.sf-vertical {
    touch-action: pan-x
}

.sf-slide {
    flex-shrink: 0;
    width: 100%;
    height: 100%;
    position: relative;
    transition-property: transform;
    display: block
}

.sf-slide-invisible-blank {
    visibility: hidden
}

.sf-autoheight,
.sf-autoheight .sf-slide {
    height: auto
}

.sf-autoheight .sf-wrapper {
    align-items: flex-start;
    transition-property: transform, height
}

.sf-backface-hidden .sf-slide {
    transform: translateZ(0);
    backface-visibility: hidden
}

.sf-3d.sf-css-mode .sf-wrapper {
    perspective: 1200px
}

.sf-3d .sf-wrapper {
    transform-style: preserve-3d
}

.sf-3d {
    perspective: 1200px
}

.sf-3d .sf-slide,
.sf-3d .sf-cube-shadow {
    transform-style: preserve-3d
}

.sf-css-mode>.sf-wrapper {
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none
}

.sf-css-mode>.sf-wrapper::-webkit-scrollbar {
    display: none
}

.sf-css-mode>.sf-wrapper>.sf-slide {
    scroll-snap-align: start start
}

.sf-css-mode.sf-horizontal>.sf-wrapper {
    scroll-snap-type: x mandatory
}

.sf-css-mode.sf-vertical>.sf-wrapper {
    scroll-snap-type: y mandatory
}

.sf-css-mode.sf-free-mode>.sf-wrapper {
    scroll-snap-type: none
}

.sf-css-mode.sf-free-mode>.sf-wrapper>.sf-slide {
    scroll-snap-align: none
}

.sf-css-mode.sf-centered>.sf-wrapper:before {
    content: "";
    flex-shrink: 0;
    order: 9999
}

.sf-css-mode.sf-centered>.sf-wrapper>.sf-slide {
    scroll-snap-align: center center;
    scroll-snap-stop: always
}

.sf-css-mode.sf-centered.sf-horizontal>.sf-wrapper>.sf-slide:first-child {
    margin-inline-start: var(--sf-centered-offset-before)
}

.sf-css-mode.sf-centered.sf-horizontal>.sf-wrapper:before {
    height: 100%;
    min-height: 1px;
    width: var(--sf-centered-offset-after)
}

.sf-css-mode.sf-centered.sf-vertical>.sf-wrapper>.sf-slide:first-child {
    margin-block-start: var(--sf-centered-offset-before)
}

.sf-css-mode.sf-centered.sf-vertical>.sf-wrapper:before {
    width: 100%;
    min-width: 1px;
    height: var(--sf-centered-offset-after)
}

.sf-3d .sf-slide-shadow,
.sf-3d .sf-slide-shadow-left,
.sf-3d .sf-slide-shadow-right,
.sf-3d .sf-slide-shadow-top,
.sf-3d .sf-slide-shadow-bottom {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    z-index: 10
}

.sf-3d .sf-slide-shadow {
    background: #00000026
}

.sf-3d .sf-slide-shadow-left {
    background-image: linear-gradient(to left, #00000080, #0000)
}

.sf-3d .sf-slide-shadow-right {
    background-image: linear-gradient(to right, #00000080, #0000)
}

.sf-3d .sf-slide-shadow-top {
    background-image: linear-gradient(to top, #00000080, #0000)
}

.sf-3d .sf-slide-shadow-bottom {
    background-image: linear-gradient(to bottom, #00000080, #0000)
}

.sf-lazy-preloader {
    width: 42px;
    height: 42px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -21px;
    margin-top: -21px;
    z-index: 10;
    transform-origin: 50%;
    box-sizing: border-box;
    border: 4px solid var(--sf-preloader-color, var(--sf-theme-color));
    border-radius: 50%;
    border-top-color: transparent
}

.sf:not(.sf-watch-progress) .sf-lazy-preloader,
.sf-watch-progress .sf-slide-visible .sf-lazy-preloader {
    animation: sf-preloader-spin 1s infinite linear
}

.sf-lazy-preloader-white {
    --sf-preloader-color: #fff
}

.sf-lazy-preloader-black {
    --sf-preloader-color: #000
}

@keyframes sf-preloader-spin {
    0% {
        transform: rotate(0)
    }

    to {
        transform: rotate(360deg)
    }
}

.sf-pagination {
    position: absolute;
    text-align: center;
    transition: .3s opacity;
    transform: translateZ(0);
    z-index: 10
}

.sf-pagination.sf-pagination-hidden {
    opacity: 0
}

.sf-pagination-disabled>.sf-pagination,
.sf-pagination.sf-pagination-disabled {
    display: none !important
}

.sf-pagination-fraction,
.sf-pagination-custom,
.sf-horizontal>.sf-pagination-bullets,
.sf-pagination-bullets.sf-pagination-horizontal {
    bottom: var(--sf-pagination-bottom, 8px);
    top: var(--sf-pagination-top, auto);
    left: 0;
    width: 100%
}

.sf-pagination-bullets-dynamic {
    overflow: hidden;
    font-size: 0
}

.sf-pagination-bullets-dynamic .sf-pagination-bullet {
    transform: scale(.33);
    position: relative
}

.sf-pagination-bullets-dynamic .sf-pagination-bullet-active,
.sf-pagination-bullets-dynamic .sf-pagination-bullet-active-main {
    transform: scale(1)
}

.sf-pagination-bullets-dynamic .sf-pagination-bullet-active-prev {
    transform: scale(.66)
}

.sf-pagination-bullets-dynamic .sf-pagination-bullet-active-prev-prev {
    transform: scale(.33)
}

.sf-pagination-bullets-dynamic .sf-pagination-bullet-active-next {
    transform: scale(.66)
}

.sf-pagination-bullets-dynamic .sf-pagination-bullet-active-next-next {
    transform: scale(.33)
}

.sf-pagination-bullet {
    width: var(--sf-pagination-bullet-width, var(--sf-pagination-bullet-size, 8px));
    height: var(--sf-pagination-bullet-height, var(--sf-pagination-bullet-size, 8px));
    display: inline-block;
    border-radius: var(--sf-pagination-bullet-border-radius, 50%);
    background: var(--sf-pagination-bullet-inactive-color, #000);
    opacity: var(--sf-pagination-bullet-inactive-opacity, .2)
}

button.sf-pagination-bullet {
    border: none;
    margin: 0;
    padding: 0;
    box-shadow: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none
}

.sf-pagination-clickable .sf-pagination-bullet {
    cursor: pointer
}

.sf-pagination-bullet:only-child {
    display: none !important
}

.sf-pagination-bullet-active {
    opacity: var(--sf-pagination-bullet-opacity, 1);
    background: var(--sf-pagination-color, var(--sf-theme-color))
}

.sf-vertical>.sf-pagination-bullets,
.sf-pagination-vertical.sf-pagination-bullets {
    right: var(--sf-pagination-right, 8px);
    left: var(--sf-pagination-left, auto);
    top: 50%;
    transform: translate3d(0, -50%, 0)
}

.sf-vertical>.sf-pagination-bullets .sf-pagination-bullet,
.sf-pagination-vertical.sf-pagination-bullets .sf-pagination-bullet {
    margin: var(--sf-pagination-bullet-vertical-gap, 6px) 0;
    display: block
}

.sf-vertical>.sf-pagination-bullets.sf-pagination-bullets-dynamic,
.sf-pagination-vertical.sf-pagination-bullets.sf-pagination-bullets-dynamic {
    top: 50%;
    transform: translateY(-50%);
    width: 8px
}

.sf-vertical>.sf-pagination-bullets.sf-pagination-bullets-dynamic .sf-pagination-bullet,
.sf-pagination-vertical.sf-pagination-bullets.sf-pagination-bullets-dynamic .sf-pagination-bullet {
    display: inline-block;
    transition: .2s transform, .2s top
}

.sf-horizontal>.sf-pagination-bullets .sf-pagination-bullet,
.sf-pagination-horizontal.sf-pagination-bullets .sf-pagination-bullet {
    margin: 0 var(--sf-pagination-bullet-horizontal-gap, 4px)
}

.sf-horizontal>.sf-pagination-bullets.sf-pagination-bullets-dynamic,
.sf-pagination-horizontal.sf-pagination-bullets.sf-pagination-bullets-dynamic {
    left: 50%;
    transform: translate(-50%);
    white-space: nowrap
}

.sf-horizontal>.sf-pagination-bullets.sf-pagination-bullets-dynamic .sf-pagination-bullet,
.sf-pagination-horizontal.sf-pagination-bullets.sf-pagination-bullets-dynamic .sf-pagination-bullet {
    transition: .2s transform, .2s left
}

.sf-horizontal.sf-rtl>.sf-pagination-bullets-dynamic .sf-pagination-bullet {
    transition: .2s transform, .2s right
}

.sf-pagination-fraction {
    color: var(--sf-pagination-fraction-color, inherit)
}

.sf-pagination-progressbar {
    background: var(--sf-pagination-progressbar-bg-color, rgba(0, 0, 0, .25));
    position: absolute
}

.sf-pagination-progressbar .sf-pagination-progressbar-fill {
    background: var(--sf-pagination-color, var(--sf-theme-color));
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    transform: scale(0);
    transform-origin: left top
}

.sf-rtl .sf-pagination-progressbar .sf-pagination-progressbar-fill {
    transform-origin: right top
}

.sf-horizontal>.sf-pagination-progressbar,
.sf-pagination-progressbar.sf-pagination-horizontal,
.sf-vertical>.sf-pagination-progressbar.sf-pagination-progressbar-opposite,
.sf-pagination-progressbar.sf-pagination-vertical.sf-pagination-progressbar-opposite {
    width: 100%;
    height: var(--sf-pagination-progressbar-size, 4px);
    left: 0;
    top: 0
}

.sf-vertical>.sf-pagination-progressbar,
.sf-pagination-progressbar.sf-pagination-vertical,
.sf-horizontal>.sf-pagination-progressbar.sf-pagination-progressbar-opposite,
.sf-pagination-progressbar.sf-pagination-horizontal.sf-pagination-progressbar-opposite {
    width: var(--sf-pagination-progressbar-size, 4px);
    height: 100%;
    left: 0;
    top: 0
}

.sf-pagination-lock {
    display: none
}

.sf-super-flow {
    box-sizing: border-box
}

.sf-super-flow .sf-slide {
    overflow: visible !important;
    transform-style: preserve-3d
}

.sf-super-flow:not(.sf-virtual) .sf-slide:not(.sf-slide-active, .sf-slide-next, .sf-slide-prev, .sf-slide:has(+.sf-slide-prev), .sf-slide-next+.sf-slide) {
    opacity: 0;
    visibility: hidden
}

.sf-super-flow .super-flow-content {
    position: relative;
    height: 100%;
    z-index: 10
}

.sf-super-flow .super-flow-image {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0
}

.sf-super-flow .super-flow-image img {
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover
}

.sf-super-flow .super-flow-fragments {
    position: absolute;
    width: 100%;
    height: 100%;
    pointer-events: none;
    transform: translateZ(0)
}

.sf-super-flow .super-flow-fragment-border {
    position: absolute;
    width: 100%;
    height: 100%;
    pointer-events: none;
    background: #ffffff40
}

.super-flow-content {
    padding: 16px;
    font-weight: 700;
    line-height: 1.1;
    text-wrap-style: balance;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    box-sizing: border-box;
    color: #fff;
    font-size: 6vw;
    inset-inline-start: 25%;
    width: 50%;
    transition-property: transform
}

.sf-super-flow .sf-pagination-bullets {
    position: absolute;
    background: #c8c8c840;
    border-radius: 999px;
    -webkit-backdrop-filter: blur(16px);
    backdrop-filter: blur(16px);
    white-space: nowrap;
    --sf-pagination-bullet-size: 10px;
    --sf-pagination-bullet-horizontal-gap: 5px;
    --sf-pagination-bullet-vertical-gap: 10px;
    --sf-pagination-bullet-inactive-color: rgba(255, 255, 255, 0.5);
    --sf-pagination-color: #79ceed
}

.sf-super-flow .sf-pagination-bullets.sf-pagination-horizontal {
    padding: 16px;
    width: auto;
    left: 50%;
    transform: translate(-50%);
    font-size: 0
}

.sf-super-flow .sf-pagination-bullets.sf-pagination-vertical {
    padding: 16px
}
.gradient-text-flow {
    background-size: 200% auto;
    animation: textGradient 4s linear infinite;
}

@keyframes textGradient {
    0% { background-position: 0% center; }
    50% { background-position: 100% center; }
    100% { background-position: 0% center; }
}
